Subject: Ticket Assigned - Splashfashions data erasure request - from Njamnshi Junko - request: R3HS3Z22
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jan 2022 03:10:32 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Splashfashions data erasure request - from Njamnshi Junko - request: R3HS3Z22 Hi Splashfashions (splashfashions.com),

My name is Njamnshi Junko, I've used your service in the past.
However, I'm now making the conscious decision to reduce my digital
footprint and as a result I ask you to please delete any personal data of
mine you have stored on your systems.

I have initiated this request myself and it was sent from my own personal
inbox (see From address of this email).
Would appreciate your cooperation and an email confirming when the deletion
has been completed.

My personal details are:

   - Name: Njamnshi Junko
   - Email: [email-masked]

Context: I received an email from your company on *2019 November 13* which
indicates your systems hold my personal data.

Companies: If you would like additional context and assistance to complete
this request, please visit the secured Mine for Business portal.
<https://business.saymine.com/user-request?utm_source=product&utm_medium=email&utm_campaign=dsr&utm_content=splashfashions.com>

* Thanks, Njamnshi Junko Powered by Mine® Mine Request: R3HS3Z22 *

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3683082